<?php

/*-------------------------------------------------------+
* | PHP-Fusion Content Management System
* | Copyright (C) 2002 - 2008 Nick Jones
* | http://www.php-fusion.co.uk/
* +--------------------------------------------------------+
* | Filename: articles.php
* | Author: Nick Jones (Digitanium)
* | Mods: Netrix (phpfusion-mods.net)
* | articles.php 2.1 BETA - Keep Posted On Updates!
* | Message: Like what you see and want more? Tell me what
* |          you want in the next release of this mod by
* |          emailing me at GlitchKing@Glitcher.net
* +--------------------------------------------------------+
* | This program is released as free software under the
* | Affero GPL license. You can redistribute it and/or
* | modify it under the terms of this license which you
* | can read by viewing the included agpl.txt or online
* | at www.gnu.org/licenses/agpl.html. Removal of this
* | copyright header is strictly prohibited without
* | written permission from the original author(s).
* +--------------------------------------------------------*/

require_once "maincore.php";
require_once THEMES . "templates/header.php";
include LOCALE . LOCALESET . "articles.php";

// ARTICLES MOD SETTINGS START // ON=Activated  OFF=Disabled
$aboutposter = "on"; // Display information about the poster
$mostpopular = "on"; // Most Popular Articles
$recentlyadded = "on"; // Recently Added Articles
$information = "on"; // View information about the article
$pull_how_many = 20; // Number of top articles to show
$pull_how_many_recents = 20; // Number of recent articles to display
$mixedarticles="on"; // Show random articles in a cloud
$ads = "on"; // Turn on Advertisements? on=on off=off or leave blank to turn off.
$adcode = '<script type="text/javascript"><!--
google_ad_client = "pub-7277300469198625";
/* 468x60, created 6/25/09 */
google_ad_slot = "7885283957";
google_ad_width = 468;
google_ad_height = 60;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>'; // Replace with the code source to your ad.
// LOCALES
$keywords = "articles, information, tutorials"; // Keywords for What your articles section is about - Use commas to seperate words
$description = "Read up about some of our articles"; // Description about your articles section
$infor = "Information"; // Locale to replace Information
$ccat = "Current Category"; // Locale to replace Category
$cart = "Current Article"; // Locale to replace Current Article
$aart = "About Article"; // Locale to replace Article Snippet
// ARTICLES MOD SETTINGS END

// FUNCTIONS
function fix($fixit)
{
    $fixit = strtolower($fixit);
    return $fixit;
}
// END FUNCTIONS
if (isset($_GET['article_id']) && isnum($_GET['article_id']))
{
    $result = dbquery("SELECT ta.*,tac.*, tu.user_id,user_name FROM " . DB_ARTICLES .
        " ta
		INNER JOIN " . DB_ARTICLE_CATS . " tac ON ta.article_cat=tac.article_cat_id
		LEFT JOIN " . DB_USERS . " tu ON ta.article_name=tu.user_id
		WHERE " . groupaccess('article_cat_access') . " AND article_id='" . $_GET['article_id'] .
        "' AND article_draft='0'");
    if (dbrows($result))
    {
        require_once INCLUDES . "comments_include.php";
        require_once INCLUDES . "ratings_include.php";
        $data = dbarray($result);
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']))
        {
            $_GET['rowstart'] = 0;
        }
        if ($_GET['rowstart'] == 0)
        {
            $result = dbquery("UPDATE " . DB_ARTICLES .
                " SET article_reads=article_reads+1 WHERE article_id='" . $_GET['article_id'] .
                "'");
        }
        $article = stripslashes($data['article_article']);
        if (ereg('<--PAGEBREAK-->', $article))
        {
            $article = explode("<--PAGEBREAK-->", $article);
        } else
        {
            $article = explode("<!-- pagebreak -->", $article);
        }
        $pagecount = count($article);
        $article_subject = stripslashes($data['article_subject']);
        $article_info = array("article_id" => $data['article_id'], "user_id" => $data['user_id'],
            "user_name" => $data['user_name'], "article_date" => $data['article_datestamp'],
            "article_breaks" => $data['article_breaks'], "article_comments" => dbcount("(comment_id)",
            DB_COMMENTS, "comment_type='A' AND comment_item_id='" . $data['article_id'] .
            "'"), "article_reads" => $data['article_reads'], "article_allow_comments" => $data['article_allow_comments']);
        add_to_title(" - " . $data['article_cat_name'] . " - " . $data['article_subject'] .
            " - " . $data['article_snippet']);
        set_meta('keywords', fix($data['article_cat_name'] . " - " . $data['article_subject'] .
            " - " . $data['article_snippet']));
        set_meta('description', fix($data['article_cat_name'] . " - " . $data['article_subject'] .
            " - " . $data['article_snippet']));

        if ($information == "on")
        {
            opentable("$infor");
            echo "<table align='center' cellpadding='0' cellspacing='1' width='100%'>
<tr>
<td width='33%' class='tbl1'><b>$ccat</b></td>
<td width='33%' class='tbl1'><b>$cart</b></td>
<td width='33%' class='tbl1'><b>$aart</b></td>
</tr>
<tr>
<td class='tbl2'><a href='articles.php?cat_id=" . $data['article_cat_id'] .
                "'><b>" . $data['article_cat_name'] . "</b></a></td>
<td class='tbl2'>" . $data['article_subject'] . "</td>
<td class='tbl2'>" . $data['article_snippet'] . "</td>
</tr>
</table>";
            closetable();
        }
        echo "<!--advertisements--!>";
        if ($ads == "on")
        {
        	echo "<center>";
            echo $adcode . "</center><br>";

        } else
        {
            echo "";
        }
        echo "<!--pre_article-->";
        render_article($article_subject, $article[$_GET['rowstart']], $article_info);
        echo "<!--sub_article-->";
        if ($pagecount > 1)
        {
            echo "<div align='center' style='margin-top:5px;'>\n" . makepagenav($_GET['rowstart'],
                1, $pagecount, 3, FUSION_SELF . "?article_id=" . $_GET['article_id'] . "&amp;") .
                "\n</div>\n";
        }


        if ($aboutposter == "on")
        {
            opentable("About " . $data['user_name']);
            echo "<table width='100%' id='about'><tr><td>";
            $qqqresult = dbquery("SELECT user_id, user_lastvisit, user_level, user_name, user_avatar, user_web FROM " .
                DB_USERS . " WHERE user_id='" . $data['user_id'] . "'");
            if (dbrows($qqqresult))
            {
                while ($adata = dbarray($qqqresult))
                {
                    if ($adata['user_avatar'] && file_exists(IMAGES . "avatars/" . $adata['user_avatar']))
                    {
                        echo "<img align='left' src='" . IMAGES . "avatars/" . $adata['user_avatar'] .
                            "' alt='User Avatar' width='80' height='80'style='padding-right:4px;' />\n";
                    } else
                    {
                        echo "<img src='images/noav.gif' width='80' height='80' align='left' style='padding-right:4px;'>";
                    }


                    echo "<strong>Username: <a href='profile.php?lookup=" . $adata['user_id'] . "'>" .
                        $adata['user_name'] . "</a></strong><br>";
                    echo "<strong><small>Last Seen: " . ($adata['user_lastvisit'] ? showdate("%B %d",
                        $adata['user_lastvisit']) : $locale['u042']) . "</small></strong><br>";
                    echo "<strong><small>User Level: " . getuserlevel($adata['user_level']) .
                        "</small></strong><br>";
                    echo "<a href='messages.php?msg_send=" . $adata['user_id'] . "'><img src='" .
                        THEME . "forum/pm.gif' border='0'></a><br>\n";

                    if ($adata['user_web'])
                    {
                        $urlprefix = !strstr($adata['user_web'], "http://") ? "http://" : "";
                        echo "<a href='" . $urlprefix . $adata['user_web'] . "' title='" . $adata['user_web'] .
                            "' target='_blank'><img src='" . THEME . "forum/web.gif' border='0' alt='" . $adata['user_web'] .
                            "'></a><br>\n";


                    }
                }

                echo "</td><td>";

                $dataresult = dbquery("SELECT *
FROM `" . DB_PREFIX . "articles`
INNER JOIN " . DB_ARTICLE_CATS . " ON article_cat=article_cat_id
WHERE article_name='" . $data['user_id'] . "'
ORDER BY `article_id` DESC
LIMIT 0 , 20");

                if (dbrows($dataresult) != 0)
                {
                    $total = 1;
                    echo "<div style='overflow:auto; width:100%; height:100px;'>";
                    echo "<table width='100%' cellspacing='1'><tr>";
                    echo "<td class='forum-caption'>Recently Added Articles by " . $data['user_name'] .
                        "</td></tr></table>";
                    echo "<table width='100%' cellspacing='1'>";
                    while ($dddata = dbarray($dataresult))
                    {

                        echo "<tr><td>$total)</td><td><a href='articles.php?cat_id=" . $dddata['article_cat_id'] .
                            "'>" . $dddata['article_cat_name'] .
                            "</a></td><td><a href='articles.php?article_id=" . $dddata['article_id'] . "'>" .
                            $dddata['article_subject'] . "</a></td><tr>";
                        $total++;
                    }
                }
                echo "</table></div>";
                echo "</td></tr></table>";

                closetable();
            }

        }


        if ($recentlyadded == "on")
        {

            opentable("Most Recent Articles for " . $data['article_cat_name']);
            echo "<table width='100%' cellspacing='1' id='most_recent'>";
            echo "<tr><td width='17%' class='forum-caption'>Date Added</td><td width='30%' class='forum-caption'>Article</td><td width='55%' class='forum-caption'>About</td></tr>";
            $qqresult = dbquery("SELECT article_datestamp, article_id, article_snippet, article_subject
FROM `" . DB_PREFIX . "articles`
WHERE article_cat='" . $data['article_cat_id'] . "'
ORDER BY `article_id` DESC
LIMIT 5");
            if (dbrows($qqresult) != 0)
            {
                while ($ddata = dbarray($qqresult))
                {
                    echo "<tr><td class='tbl2'>" . showdate("%b %d, %Y", $ddata['article_datestamp']) .
                        "</td><td class='tbl2'><a href='articles.php?article_id=" . $ddata['article_id'] .
                        "'><strong>";
                    echo trimlink($ddata['article_subject'], 45) .
                        "</strong></a></td><td class='tbl2'>" . trimlink($ddata['article_snippet'], 55) .
                        "</b></td></tr>\n";
                }
            }
            echo "</table>";
            closetable();
        }


        if ($mostpopular == "on")
        {
            $catname = $data['article_cat_name'];
            $qresult = dbquery("SELECT article_subject, article_snippet, article_id, article_reads
FROM `" . DB_PREFIX . "articles`
WHERE article_cat='" . $data['article_cat_id'] . "'
ORDER BY `article_reads` DESC
LIMIT 0 , 20");
            opentable("Most Popular Articles For $catname");
            if (dbrows($qresult) > 0)
            {
                $i = 1;
                echo "<div id='most_viewed' style='overflow:auto; width:100%; height:100px;'>";
                echo "<table width='100%' cellspacing='1'>";
                echo "<tr><td width='5%' class='forum-caption'>Rank</td><td width='45%' class='forum-caption'>Article</td><td width='50%' class='forum-caption'>About</td></tr>";
                while ($info = dbarray($qresult))
                {
                    $title = trimlink($info['article_subject'], 45);
                    $desc = trimlink($info['article_snippet'], 35);
                    $id = $info['article_id'];
                    $link = "<a href='articles.php?article_id=$id' title='View Article'/>$title</a>";
                    echo "<tr><td class='tbl2'>#$i</td><td class='tbl2'><b>$link</b></td><td class='tbl2'>$desc</td></tr>\n";
                    $i++;
                }
                echo "</table></div>";
            }
            closetable();
        }

        if ($data['article_allow_comments'])
        {
            showcomments("A", DB_ARTICLES, "article_id", $_GET['article_id'], FUSION_SELF .
                "?article_id=" . $_GET['article_id']);
        }
        if ($data['article_allow_ratings'])
        {
            showratings("A", $_GET['article_id'], FUSION_SELF . "?article_id=" . $_GET['article_id']);
        }
    } else
    {
        redirect(FUSION_SELF);
    }
    
        if ($mixedarticles == "on")
        {
    // Articles Cloud Settings
    $list = 15;
    $color = 1;
    $size = array(10, 14, 16, 20, 24);
    $sizefinal = count($size) - 1;
    $scolor = array("fffff", "000000", "df1111", "dddd11", "2edd11", "1f11dd",
        "fab207");
    $scolorc = count($scolor) - 1;
    // End Settings


    opentable("Mixed Articles");
    $cldata = dbquery("SELECT *
FROM `" . DB_PREFIX . "articles`
INNER JOIN " . DB_ARTICLE_CATS . " ON article_cat=article_cat_id
WHERE " . groupaccess('article_cat_access') . "
ORDER BY rand() DESC
LIMIT 0 , 20");
    if (dbrows($cldata))
    {
        $count = 0;
        while ($data = dbarray($cldata))
        {
            if ($count)
            {
                echo ", ";
            }
            echo "<a style='font-size: " . $size[rand(0, $sizefinal)] . "px;" . ($color ?
                "color: #" . $scolor[rand(0, $scolorc)] . ";" : "") .
                "' href='articles.php?article_id=" . $data['article_id'] . "' title='" . $data['article_snippet'] .
                "'/>" . (stripinput($data['article_cat_name'] . " - " . $data['article_subject'])) .
                "</a>";
            $count++;
        }
    } else
    {
        echo "";
    }
    closetable();
    }
} elseif (!isset($_GET['cat_id']) || !isnum($_GET['cat_id']))
{
    add_to_title(" - Articles");
    set_meta('keywords', fix("$keywords"));
    set_meta('description', fix("$description"));
    opentable($locale['400']);
    $result = dbquery("SELECT * FROM " . DB_ARTICLE_CATS . " WHERE " . groupaccess('article_cat_access') .
        " ORDER BY article_cat_name");
    $rows = dbrows($result);
    if ($rows)
    {
        while ($data = dbarray($result))
        {
            echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'
style='margin-bottom:5px;'>
 <tr>";
            echo "</tr>\n<tr>\n";
            $num = dbcount("(article_cat)", DB_ARTICLES, "article_cat='" . $data['article_cat_id'] .
                "'");
            echo "<td class='tbl1'><b><a href='articles.php?cat_id=" . $data['article_cat_id'] .
                "'><!--article_index_cat_name-->" . $data['article_cat_name'] . "</a></b>";
            echo "</td></tr>\n";
            echo "<tr>";
            echo "<td width='50%' class='tbl2'>Number of articles: <span class='small2'>($num)</span></td></tr>";
            echo "</tr></table><!--sub_article_index-->\n";
        }
    } else
    {
        echo "<div style='text-align:center'><br />\n" . $locale['401'] . "<br /><br />\n</div>\n";
    }


    closetable();

} else
{
    $res = 0;
    $result = dbquery("SELECT * FROM " . DB_ARTICLE_CATS . " WHERE article_cat_id='" .
        $_GET['cat_id'] . "'");
    if (dbrows($result) != 0)
    {
        $cdata = dbarray($result);
        if (checkgroup($cdata['article_cat_access']))
        {
            $res = 1;
            add_to_title(" - " . $cdata['article_cat_name'] . "");
            set_meta('keywords', fix($cdata['article_cat_name'] . " $keywords"));
            set_meta('description', fix($cdata['article_cat_name'] . " $description"));
            opentable($locale['400'] . ": " . $cdata['article_cat_name']);

            echo "<!--pre_article_cat-->";
            $rows = dbcount("(article_id)", DB_ARTICLES, "article_cat='" . $_GET['cat_id'] .
                "' AND article_draft='0'");
            if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']))
            {
                $_GET['rowstart'] = 0;
            }
            if ($rows != 0)
            {
                $result = dbquery("SELECT ta.article_id, ta.article_subject, ta.article_snippet, ta.article_datestamp FROM " .
                    DB_ARTICLES . " ta
					WHERE article_cat='" . $_GET['cat_id'] .
                    "' AND article_draft='0' ORDER BY " . $cdata['article_cat_sorting'] . " LIMIT " .
                    $_GET['rowstart'] . ",30");
                $numrows = dbrows($result);
                $i = 1;
                while ($data = dbarray($result))
                {
                    echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'
style='margin-bottom:5px;'>
 <tr>";
                    if ($data['article_datestamp'] + 100000 > time() + ($settings['timeoffset'] *
                        3600))
                    {
                        $new = "&nbsp;<span class='small' style='color:red;font-weight:bold;'>[NEW]</span>";
                    } else
                    {
                        $new = "";
                    }
                    echo "<tr><td class='tbl1'><a href='" . FUSION_SELF . "?article_id=" . $data['article_id'] .
                        "'><strong>" . $data['article_subject'] . "</strong></a>$new<br /></tr><tr><td class='tbl2'>\n" .
                        trimlink(($data['article_snippet']), 200);
                    echo "</td></tr>";
                    echo "</table>";
                    echo ($i != $numrows ? "\n" : "\n");
                    $i++;
                }
                echo "<p align='right'><a href='javascript:history.back()'><b>Go back</b></a>";

                closetable();
                if ($rows > 30)
                    echo "<div align='center' style=';margin-top:5px;'>\n" . makepagenav($_GET['rowstart'],
                        30, $rows, 3, FUSION_SELF . "?cat_id=" . $_GET['cat_id'] . "&amp;") . "\n</div>\n";
            } else
            {
                echo "<div style='text-align:center'>" . $locale['403'] . "</div>\n";
                closetable();
            }
            echo "<!--sub_article_cat-->";
        }
    }
    if ($res == 0)
    {
        redirect(FUSION_SELF);
    }
}

require_once THEMES . "templates/footer.php";

?>
